#!/usr/bin/env bash

[[ ${CONFIG_LOADED:-} -eq 1 ]] && return

vendor_brewpixel_barista_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source "${vendor_brewpixel_barista_dir}/Burr/burr-dependencies.sh"
ensure_readlink_installed

if [[ "$OSTYPE" == "linux-gnu" ]]; then
	vendor_brewpixel_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(readlink -f $(dirname "${vendor_dir}"))
elif [[ "$OSTYPE" == "darwin"* ]]; then
	# Mac OSX
	vendor_brewpixel_dir=$(greadlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(greadlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(greadlink -f $(dirname "${vendor_dir}"))
else
    # Unknown.
	vendor_brewpixel_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
	vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_dir}"))
	project_base=$(readlink -f $(dirname "${vendor_dir}"))
fi

## Default WordPress Variables
site_url='example.com'
site_title_blog_name='Example Site'
blog_description='Just another WordPress website'
theme_name='brewery'
all_fake_content=true
fake_comments=true
fake_posts=true
fake_client_user='client'
development=true

## Default Variables
bitbucket_consumer_key="KEY"
bitbucket_consumer_secret="SECRET"
bitbucket_access_token_url="https://bitbucket.org/site/oauth2/access_token"
bitbucket_team_name="TEAM"

bitbucket_consumer_key=$BITBUCKET_CONSUMER_KEY
bitbucket_consumer_secret=$BITBUCKET_CONSUMER_SECRET
bitbucket_team_name=$BITBUCKET_TEAM_NAME
bitbucket_project_name=$BITBUCKET_PROJECT_NAME
bitbucket_project_key=$BITBUCKET_PROJECT_KEY
bitbucket_project_description=$BITBUCKET_PROJECT_DESCRIPTION
ssh_ip=$SSH_IP
ssh_user=$SSH_USER
domain_without_tld=$DOMAIN_WITHOUT_TLD
main_repo_name=$MAIN_REPO_NAME
child_theme=$CHILD_THEME

if [ $child_theme ]; then
theme_name="${THEME_NAME} Child"
theme_name_lowercase_hyphen_no_spaces="${THEME_NAME_LOWERCASE_HYPHEN_NO_SPACES}-child"
else
theme_name=$THEME_NAME
theme_name_lowercase_hyphen_no_spaces=$THEME_NAME_LOWERCASE_HYPHEN_NO_SPACES
fi

site_url=$SITE_URL
site_title_blog_name=$SITE_TITLE_BLOG_NAME
blog_description=$BLOG_DESCRIPTION
composer_project=$COMPOSER_PROJECT
ignore_themes=$IGNORE_THEMES
ignore_plugins=$IGNORE_PLUGINS
ignore_wp=$IGNORE_WP
all_fake_content=$ALL_FAKE_CONTENT
fake_comments=$FAKE_COMMENTS
fake_posts=$FAKE_POSTS
fake_client_user=$FAKE_CLIENT_USER
development_mode=$DEVELOPMENT_MODE
db_name=$DB_NAME
db_user=$DB_USER
db_password=$DB_PASSWORD
db_host=$DB_HOST
client_name=$CLIENT_NAME
admin_user=$ADMIN_USER

set -a # automatically export all variables
source ${project_base}/.env
set +a

CONFIG_LOADED=1
